import { Injector } from '@angular/core';
import { filters, services } from 'typescript-angular-utilities';
import __object = services.object;
import __date = services.date;
import __string = services.string;
import __transform = services.transform;
import * as cardFilters from '../filters/index';
import { CardContainerBuilderOld } from './cardContainerBuilderOld.service';
export interface IFilterBuilderOld {
    buildFilterGroup(settings: cardFilters.IFilterGroupSettingsOld): cardFilters.IFilterGroupOld;
    buildModeFilterGroup<TItemType>(settings: cardFilters.IModeFilterGroupSettingsOld<TItemType>): cardFilters.IModeFilterGroupOld;
    buildRangeFilterGroup<TItemType>(settings: cardFilters.IRangeFilterGroupSettingsOld<TItemType>): cardFilters.IRangeFilterGroupOld;
    buildSelectFilter<TDataType, TFilterType>(settings: cardFilters.ISelectFilterSettingsOld<TDataType, TFilterType>): cardFilters.ISelectFilterOld<TDataType>;
    buildDateFilter(valueSelector: cardFilters.IDateFilterSettingsOld): cardFilters.IDateFilterOld;
    buildColumnSearchFilter(): cardFilters.ColumnSearchFilter;
    addCustomFilter(filter: filters.IFilter): void;
}
export declare class FilterBuilderOld implements IFilterBuilderOld {
    private injector;
    private parent;
    private object;
    private string;
    private date;
    private transformService;
    constructor(injector: Injector, object: __object.ObjectUtility, string: __string.StringUtility, date: __date.DateUtility, transform: __transform.TransformService);
    init(parent: CardContainerBuilderOld): void;
    buildFilterGroup(settings: cardFilters.IFilterGroupSettingsOld): cardFilters.IFilterGroupOld;
    buildModeFilterGroup<TItemType>(settings: cardFilters.IModeFilterGroupSettingsOld<TItemType>): cardFilters.IModeFilterGroupOld;
    buildRangeFilterGroup<TItemType>(settings: cardFilters.IRangeFilterGroupSettingsOld<TItemType>): cardFilters.IRangeFilterGroupOld;
    buildSelectFilter<TDataType, TFilterType>(settings: cardFilters.ISelectFilterSettingsOld<TDataType, TFilterType>): cardFilters.ISelectFilterOld<TDataType>;
    buildDateFilter(settings: cardFilters.IDateFilterSettingsOld): cardFilters.IDateFilterOld;
    buildColumnSearchFilter(): cardFilters.ColumnSearchFilter;
    addCustomFilter(filter: filters.IFilter): void;
}
